package cn.com.ty.lift.business.capital.dao.entity.model.request;

import cn.com.ty.lift.common.model.PageRequest;
import lombok.Data;
import lombok.EqualsAndHashCode;

import javax.validation.constraints.NotNull;
import java.time.LocalDate;

/**
 * @author bieao
 * @date 2020/2/5
 * @description 签到记录查询请求
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class SignInRequest extends PageRequest {

    /**
     * 公司id
     */
    @NotNull(message = "notEmpty")
    private Long mtCompanyId;

    /**
     * 大修项目id
     */
    @NotNull(message = "notEmpty")
    private Long id;

    /**
     * 签到日期
     */
    private LocalDate signDate;

    /**
     * 维保工id
     */
    private Long userId;
}
